﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace PowerDroid
{
    public partial class EmergencyPage4 : PhoneApplicationPage
    {
        public EmergencyPage4()
        {
            InitializeComponent();

            powerAppBar1.parent = this;
            powerAppBar1.ParentIsEmergencyPage = true;

            this.m_pivoter.LoadedPivotItem += Pivot_LoadedPivotItem;
        }

        private void m_txtAsstBtn_Click(object sender, RoutedEventArgs e)
        {
            SmsComposeTask smsComposeTask = new SmsComposeTask();
            smsComposeTask.To = "Richard Harris";
            smsComposeTask.Body = "Help I'm Hurt!!";
            smsComposeTask.Show();
        }

        private void m_txtDrBtn_Click(object sender, RoutedEventArgs e)
        {
            SmsComposeTask smsComposeTask = new SmsComposeTask();
            smsComposeTask.To = "Dr. Phil";
            smsComposeTask.Body = "Help I'm Hurt!!";
            smsComposeTask.Show();
        }

        private void m_txt911Btn_Click(object sender, RoutedEventArgs e)
        {
            SmsComposeTask smsComposeTask = new SmsComposeTask();
            smsComposeTask.To = "9911";
            smsComposeTask.Body = "Help I'm Hurt!!";
            smsComposeTask.Show();
        }

        private void m_callAsstBtn_Click(object sender, RoutedEventArgs e)
        {
            PhoneCallTask call = new PhoneCallTask();
            call.DisplayName = "Richard Harris";
            call.PhoneNumber = "123-456-7890";
            call.Show();
        }

        private void m_callDrBtn_Click(object sender, RoutedEventArgs e)
        {
            PhoneCallTask call = new PhoneCallTask();
            call.DisplayName = "Dr. Phil";
            call.PhoneNumber = "123-456-7890";
            call.Show();
        }

        private void m_call911Btn_Click(object sender, RoutedEventArgs e)
        {
            PhoneCallTask call = new PhoneCallTask();
            call.DisplayName = "Emergency Hotline";
            call.PhoneNumber = "9911";
            call.Show();
        }

        private void PhoneApplicationPage_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void PhoneApplicationPage_GotFocus(object sender, RoutedEventArgs e)
        {

        }

        private void PhoneApplicationPage_BackKeyPress(object sender, System.ComponentModel.CancelEventArgs e)
        {

        }

        private void Pivot_LoadedPivotItem(object sender, PivotItemEventArgs e)
        {
            //hax
            Grid pd = e.Item.Content as Grid;
            if (pd.Name.Equals("ContactsGrid"))
			// Suggestion: if(m.pivoter.SelectedIndex == 1)
            {
                NavigationService.Navigate(new Uri("/EnrichedContactsPage.xaml", UriKind.Relative));
            }
        }
    }
}