﻿/****************************************************************
 * @class MainPage
 * 
 * @author Tommy Omen
 * 
 * Allows user make emergency phone calls and messages
 * 
 ***************************************************************/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace PowerDroid
{
    public partial class MainPage : PhoneApplicationPage
    {

        private static ICON_SIZE m_curSize = ICON_SIZE.SZ_100_100;

        // Constructor
        public MainPage()
        {
            InitializeComponent();
            defineCallbacks();
			powerAppBar1.parent = this;
			powerAppBar1.ParentIsHomePage = true;
        }

        void resizeIcons( int size )
        {
            m_emergencyBtn.Width = size;
            m_emergencyBtn.Height = size;
        }

        private void defineCallbacks()
        {
           // SettingsPage.addSettingsListener( new SettingsChangeListener() );
        }

        private void m_commsBtn_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate( new Uri("/CommunicationListingPage.xaml", UriKind.Relative) );
        }

        private void m_emergencyBtn_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/EmergencyPage4.xaml", UriKind.Relative));
        }

        private void m_settingsBtn_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/SettingsPage.xaml", UriKind.Relative));
        }

        private void m_dailyActivityBtn_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/DailyActivitiesPage2.xaml", UriKind.Relative));
        }


        private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
        {
            //TODO
            //resizeIcons( SettingsPage.getIconSize() );
        }

        private void LayoutRoot_SizeChanged(object sender, SizeChangedEventArgs e)
        {

        }

        private void m_contactsBtn_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/EnrichedContactsPage.xaml", UriKind.Relative));
        }
    }
}