﻿/****************************************************************
 * @class CommunicationsCategoriesPage
 * 
 * @author Imran Merchant
 * 
 * Shows Categories for the the sentence builder - links to the SentenceBuilder
 * 
 ***************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace PowerDroid
{
	public partial class CommunicationCategoriesPage : PhoneApplicationPage
	{
		public CommunicationCategoriesPage()
		{
			InitializeComponent();
			powerAppBar1.parent = this;
		}

		private void PeopleCategoriesButton_Click(object sender, RoutedEventArgs e)
		{
			NavigateToSentenceBuilder("People");
		}

		private void PlacesCategoriesButton_Click(object sender, RoutedEventArgs e)
		{
			NavigateToSentenceBuilder("Places");
		}

		private void FoodCategoriesButton_Click(object sender, RoutedEventArgs e)
		{
			NavigateToSentenceBuilder("Food");
		}

		private void QuestionsCategoriesButton_Click(object sender, RoutedEventArgs e)
		{
			NavigateToSentenceBuilder("Questions");
		}

		private void MedicalCategoriesButton_Click(object sender, RoutedEventArgs e)
		{
			NavigateToSentenceBuilder("Medical");
		}

		private void GreetingsCategoriesButton_Click(object sender, RoutedEventArgs e)
		{
			NavigateToSentenceBuilder("Greetings");
		}
		private void NavigateToSentenceBuilder(string category)
		{
			string Navigation = "/CommunicationsSentenceBuilderPage.xaml?category=" + category;
			NavigationService.Navigate(new Uri(Navigation, UriKind.Relative));
		}
	}
}