﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;
using System.Windows.Markup;

namespace PowerDroid
{
    public partial class DailyActivitiesPage : PhoneApplicationPage
    {
        private ListBox m_taskListBox = null;
        private List<TaskItemData> m_taskListData = new List<TaskItemData>();
        private TextBox m_enterTaskTb = null;
        private TextBox m_enterDateTb = null;
        private TextBox m_enterTimeTb = null;

        public DailyActivitiesPage()
        {
            InitializeComponent();
            List<PivotData> data = new List<PivotData>();
            data.Add(new PivotData() //idx =0
            {
                ImageUri = new Uri("Images/daily_activity_v2.png", UriKind.Relative),
                PivotName = "Activities",
                PivotContent = CreateActivitiesPivotPage()
            });

            PivotData pd = new PivotData()
            {
                ImageUri = new Uri("Images/tasklist.png", UriKind.Relative),
                PivotName = "Task List",
                PivotContent = CreateTaskListPage()
            };
            data.Add(pd);

            data.Add(new PivotData()
            {
                ImageUri = new Uri("Images/contact_small.png", UriKind.Relative),
                PivotName = "Assistants",
                PivotContent = CreateActivitiesPivotPage()
            });

            data.Add(new PivotData() //idx =3
            {
                ImageUri = null,
                PivotName = "",
                PivotContent = CreateNewTaskPage()
            });

            this.m_pivoter.ItemsSource = data;



            m_taskListData.Add(new TaskItemData()
            {
                TaskDescription = "Monday 14th, 8:30 am \n Appointment with Dr. Phil",
                SpeakerName = "m_speakerBtn1"
                // Event = "m_emergencyBtn_Click"
               // Event = new RoutedEventHandler(m_emergencyBtn_Click)
            });

  

            if (m_taskListBox != null)
            {
                m_taskListBox.ItemsSource = m_taskListData;
                m_taskListBox.SelectedItem = m_taskListData[0];

               // m_taskListBox.FindName("Tommy").ToString();

                //System.Diagnostics.Debug.WriteLine(m_taskListBox.ItemContainerGenerator.ContainerFromIndex(0).GetType().ToString() );

                //ItemCollection items = m_taskListBox.Items;
                //foreach (StackPanel sp in )
                {
                    /*foreach (Button b in sp.Children)
                    {
                        if (b.Name.Equals("m_speakerBtn"))
                        {
                            b.Click += m_emergencyBtn_Click;
                        }
                    }*/
                }
              //  IEnumerable <Button> o = m_taskListBox.ItemsSource.OfType<Button>();
             //   o.ToString

            }

            //Object o = this.FindName("m_taskListBox");
            //o.ToString();
        }

        private Grid CreateNewTaskPage()
        {
            String strTemplate = @"<Grid xmlns=""http://schemas.microsoft.com/winfx/2006/xaml/presentation""
                        xmlns:x=""http://schemas.microsoft.com/winfx/2006/xaml"" x:Name=""ContentPanel3"" Grid.Row=""1"" Margin=""5,0,5,0"">
                    <Grid Height=""547"" HorizontalAlignment=""Left"" Margin=""1,-60,0,0"" Name=""grid1"" VerticalAlignment=""Top"" Width=""456"">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width=""241*"" />
                            <ColumnDefinition Width=""215*"" />
                        </Grid.ColumnDefinitions>
                        <Grid.RowDefinitions>
                            <RowDefinition Height=""37*"" />
                            <RowDefinition Height=""450*"" />
                        </Grid.RowDefinitions>
                        <TextBox Grid.ColumnSpan=""2"" Grid.Row=""1"" Height=""129"" HorizontalAlignment=""Left"" Margin=""11,65,0,0"" Name=""m_enterTaskTb"" Text=""&lt;Enter Task Description&gt;"" VerticalAlignment=""Top"" Width=""433"" />
                        <TextBox Grid.ColumnSpan=""2"" Grid.Row=""1"" Height=""72"" HorizontalAlignment=""Left"" Margin=""13,220,0,0"" Name=""m_enterDateTb"" Text=""&lt;Insert Date (MM/DD/YYYY)&gt;"" VerticalAlignment=""Top"" Width=""428"" />
                        <Button Content=""Apply"" Grid.Row=""1"" Height=""72"" HorizontalAlignment=""Left"" Margin=""61,0,0,22"" Name=""m_applyTaskBtn"" VerticalAlignment=""Bottom"" Width=""160"" />
                        <TextBlock Grid.Row=""1"" Height=""30"" HorizontalAlignment=""Left"" Margin=""27,194,0,0"" Name=""textBlock1"" Text=""Date"" VerticalAlignment=""Top"" />
                        <TextBlock Grid.Row=""1"" Height=""30"" HorizontalAlignment=""Left"" Margin=""25,34,0,0"" Name=""textBlock2"" Text=""Task Description"" VerticalAlignment=""Top"" />
                        <TextBox Grid.ColumnSpan=""2"" Grid.Row=""1"" Height=""72"" HorizontalAlignment=""Left"" Margin=""17,327,0,0"" Name=""m_enterTimeTb"" Text=""&lt;Enter Time (8:00pm)&gt;"" VerticalAlignment=""Top"" Width=""424"" />
                        <TextBlock Grid.Row=""1"" Height=""30"" HorizontalAlignment=""Left"" Margin=""30,301,0,0"" Name=""m_time_lbl"" Text=""Time"" VerticalAlignment=""Top"" />
                        <Button Content=""Cancel"" Height=""72"" HorizontalAlignment=""Left"" Margin=""1,0,0,22"" Name=""m_cancelBtn"" VerticalAlignment=""Bottom"" Width=""160"" Grid.Row=""1"" Grid.Column=""1"" />
                    </Grid>
                    <Button BorderBrush=""{x:Null}"" Height=""120"" HorizontalAlignment=""Right"" Margin=""0,0,210,-8"" Name=""m_homeBtn"" VerticalAlignment=""Bottom"" Width=""120"">
                        <Button.Background>
                            <ImageBrush ImageSource=""/PowerDroid;component/Images/home.png"" />
                        </Button.Background>
                    </Button>
                    <Button BorderBrush=""{x:Null}"" Height=""120"" Margin=""0,495,312,-8"" Name=""m_searchBtn"" Width=""120"">
                        <Button.Background>
                            <ImageBrush ImageSource=""/PowerDroid;component/Images/search.png"" />
                        </Button.Background>
                    </Button>
                    <Button BorderBrush=""{x:Null}"" Height=""120"" HorizontalAlignment=""Left"" Margin=""330,495,0,-8"" Name=""m_helpBtn"" VerticalAlignment=""Top"" Width=""120"">
                        <Button.Background>
                            <ImageBrush ImageSource=""/PowerDroid;component/Images/help.png"" />
                        </Button.Background>
                    </Button>
                    <Button BorderBrush=""{x:Null}"" Height=""120"" HorizontalAlignment=""Right"" Margin=""0,495,107,-8"" Name=""m_emergencyBtn2"" Width=""120"">
                        <Button.Background>
                            <ImageBrush ImageSource=""/PowerDroid;component/Images/emergency_v2.png"" />
                        </Button.Background>
                    </Button>
                </Grid>";

            Grid g = (Grid)XamlReader.Load(strTemplate);

            foreach (UIElement uie in g.Children) //loop through grid 1
            {
                if (uie is Button)
                {
                    Button btn = (Button)uie;
                    if (btn.Name.Equals("m_homeBtn"))
                    {
                        btn.Click += m_homeBtn_Click;
                    }
                    else if (btn.Name.Equals("m_helpBtn"))
                    {
                        btn.Click += m_helpBtn_Click;
                    }
                    else if (btn.Name.Equals("m_searchBtn"))
                    {
                        btn.Click += m_searchBtn_Click;
                    }
                    else if (btn.Name.Equals("m_emergencyBtn2"))
                    {
                        btn.Click += m_emergencyBtn_Click;
                    }

                }
                else if (uie is Grid)
                {
                    Grid g2 = (Grid)uie;

                    foreach (UIElement g2Uie in g2.Children) //loop through grid 2
                    {
                        if (g2Uie is TextBox)
                        {
                            TextBox tb = (TextBox)g2Uie;
                            if(tb.Name.Equals("m_enterDateTb") )
                            {
                                tb.GotFocus += m_enterDateTb_GotFocus;
                                m_enterDateTb = tb;
                            }
                            else if (tb.Name.Equals("m_enterTaskTb"))
                            {
                                tb.GotFocus += m_enterTaskTb_GotFocus;
                                m_enterTaskTb = tb;
                            }
                            else if (tb.Name.Equals("m_enterTimeTb"))
                            {
                                tb.GotFocus += m_enterTimeTb_GotFocus;
                                m_enterTimeTb = tb;
                            }
                        }
                        else if (g2Uie is Button)
                        {
                            Button b = (Button)g2Uie;
                            if (b.Name.Equals("m_applyTaskBtn"))
                            {
                                b.Click += m_applyTaskBtn_Click;
                            }
                            else if (b.Name.Equals("m_cancelTaskBtn") )
                            {
                                b.Click += m_cancelTaskBtn_Click;
                            }


                        }
                    } //end foreach g2Uie
                }
            }//end of foreach uie

            return g;
        }

        private Grid CreateTaskListPage()
        {
            string strTemplate = @"<Grid xmlns=""http://schemas.microsoft.com/winfx/2006/xaml/presentation""
                        xmlns:x=""http://schemas.microsoft.com/winfx/2006/xaml"" x:Name=""ContentPanel3"" Grid.Row=""1"" Margin=""5,0,5,0"">
                    <Grid Height=""546"" HorizontalAlignment=""Left"" Margin=""1,-49,0,0"" Name=""grid1"" VerticalAlignment=""Top"" Width=""456"">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width=""177*"" />
                            <ColumnDefinition Width=""279*"" />
                        </Grid.ColumnDefinitions>
                        <Grid.RowDefinitions>
                            <RowDefinition Height=""37*"" />
                            <RowDefinition Height=""450*"" />
                        </Grid.RowDefinitions>
                        <Button Grid.RowSpan=""2"" HorizontalAlignment=""Left"" Margin=""2,-2,0,474"" Name=""m_newTaskBtn"" Width=""84"" BorderBrush=""{x:Null}"" Grid.Column=""1"">
                            <Button.Background>
                                <ImageBrush ImageSource=""/PowerDroid;component/Images/newtask.png"" />
                            </Button.Background>
                        </Button>

                        <StackPanel x:Name=""ContentPanel"" Orientation=""Horizontal"" Grid.Row=""1"" Margin=""12,34,4,0"" Grid.ColumnSpan=""2"">
                            <ListBox x:Name=""list"" Width=""480"">
                                <ListBox.ItemTemplate>
                                    <DataTemplate>
                                        <StackPanel Orientation=""Horizontal"" Name=""{Binding SpeakerName}"">
                                            <Button BorderBrush=""{x:Null}"" Height=""65"" Width=""65"" Margin=""15,10,15,10"">
                                                <Button.Background>
                                                    <ImageBrush ImageSource=""/PowerDroid;component/Images/speaker.png""/>
                                                </Button.Background>
                                            </Button>
                                            <TextBlock Text=""{Binding TaskDescription}"" Margin=""15,5,15,5"" TextWrapping=""Wrap""/>
                                            <Button BorderBrush=""{x:Null}"" Height=""65"" Width=""65"" Margin=""15,10,15,10"" Name=""m_closeBtn"">
                                                <Button.Background>
                                                    <ImageBrush ImageSource=""/PowerDroid;component/Images/close.png""/>
                                                </Button.Background>
                                            </Button>
                                        </StackPanel>
                                    </DataTemplate>
                                </ListBox.ItemTemplate>
                                <ListBox.ItemsPanel>
                                    <ItemsPanelTemplate>
                                        <StackPanel Orientation=""Vertical""/>
                                    </ItemsPanelTemplate>
                                </ListBox.ItemsPanel>
                            </ListBox>
                        </StackPanel>
                    </Grid>
                     <Button BorderBrush=""{x:Null}"" Height=""120"" HorizontalAlignment=""Right"" Margin=""0,0,210,-8"" Name=""m_homeBtn"" VerticalAlignment=""Bottom"" Width=""120"">
                        <Button.Background>
                            <ImageBrush ImageSource=""/PowerDroid;component/Images/home.png"" />
                        </Button.Background>
                    </Button>
                    <Button BorderBrush=""{x:Null}"" Height=""120"" Margin=""0,495,312,-8"" Name=""m_searchBtn"" Width=""120"">
                        <Button.Background>
                            <ImageBrush ImageSource=""/PowerDroid;component/Images/search.png"" />
                        </Button.Background>
                    </Button>
                    <Button BorderBrush=""{x:Null}"" Height=""120"" HorizontalAlignment=""Left"" Margin=""330,495,0,-8"" Name=""m_helpBtn"" VerticalAlignment=""Top"" Width=""120"">
                        <Button.Background>
                            <ImageBrush ImageSource=""/PowerDroid;component/Images/help.png"" />
                        </Button.Background>
                    </Button>
                    <Button BorderBrush=""{x:Null}"" Height=""120"" HorizontalAlignment=""Right"" Margin=""0,495,107,-8"" Name=""m_emergencyBtn2"" Width=""120"">
                        <Button.Background>
                            <ImageBrush ImageSource=""/PowerDroid;component/Images/emergency_v2.png"" />
                        </Button.Background>
                    </Button>
                </Grid>";
            Grid g = (Grid)XamlReader.Load(strTemplate);

           // Object o = g.FindName("m_searchBtn");
           // o.ToString();
           // ListBox box = g.Children.OfType<ListBox>().Where(x => x.Name == "list").First();
           // box.ToString();
           // TextBlock txt = item.GetChildrenByType<TextBlock>().Where(x => x.Name == "txt1").FirstOrDefault();

            //TODO find a better way to do this if time
            foreach (UIElement uie in g.Children) //loop through grid 1
            {
                if (uie is Button)
                {
                    Button btn = (Button)uie;
                    if (btn.Name.Equals("m_homeBtn"))
                    {
                        btn.Click += m_homeBtn_Click;
                    }
                    else if (btn.Name.Equals("m_helpBtn"))
                    {
                        btn.Click += m_helpBtn_Click;
                    }
                    else if (btn.Name.Equals("m_searchBtn"))
                    {
                        btn.Click += m_searchBtn_Click;
                    }
                    else if (btn.Name.Equals("m_emergencyBtn2"))
                    {
                        btn.Click += m_emergencyBtn_Click;
                    }

                }
                else if (uie is Grid)
                {
                    Grid g2 = (Grid)uie;

                    foreach(UIElement g2Uie in g2.Children ) //loop through grid 2
                    {
                        if( g2Uie is StackPanel )
                        {
                            StackPanel sp = (StackPanel)g2Uie;

                            foreach (UIElement g3Uie in sp.Children) //loop through stackpanel
                            {
                                Console.Out.WriteLine( g3Uie.ToString() );
                                if (g3Uie is ListBox)
                                {
                                    m_taskListBox = (ListBox)g3Uie;
                                }
                                /*else if (g3Uie is StackPanel)
                                {

                                    StackPanel sp2 = (StackPanel)g3Uie;

                                    foreach (UIElement g4Uie in sp2.Children) //loop through stackpanel
                                    {
                                        if (g3Uie is Button)
                                        {
                                            Button b = (Button)g3Uie;
                                            if (b.Name.Equals("m_speakerBtn"))
                                            {

                                            }
                                            else if (b.Name.Equals("m_closeBtn"))
                                            {

                                            }
                                        }
                                    }

                                }*/

                            }//end of foreach g3Uie
                        }
                        else if (g2Uie is Button)
                        {
                            Button b = (Button)g2Uie;
                            if( b.Name.Equals("m_newTaskBtn") )
                            {
                                 b.Click += m_newTaskBtn_Click;
                            }
                           
                        }
                    } //end foreach g2Uie
                }
            }//end of foreach uie

            return g;
        }

        private Grid CreateActivitiesPivotPage()
        {
            string strTemplate = @"<Grid xmlns=""http://schemas.microsoft.com/winfx/2006/xaml/presentation""
                        xmlns:x=""http://schemas.microsoft.com/winfx/2006/xaml"" x:Name=""ContentPanel3"" Grid.Row=""1"" Margin=""5,0,5,0"">
                <Grid Height=""487"" HorizontalAlignment=""Left"" Margin=""0,0,-10,0"" Name=""grid9"" VerticalAlignment=""Top"" Width=""456"">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width=""177*"" />
                        <ColumnDefinition Width=""279*"" />
                    </Grid.ColumnDefinitions>
                    <Grid.RowDefinitions>
                        <RowDefinition Height=""37*"" />
                        <RowDefinition Height=""450*"" />
                    </Grid.RowDefinitions>
                    <Button Grid.RowSpan=""2"" Height=""160"" HorizontalAlignment=""Left"" Margin=""-2,29,0,0"" Name=""m_callAsstBtn"" VerticalAlignment=""Top"" Width=""160"" BorderBrush=""{x:Null}"">
                        <Button.Background>
                             <ImageBrush ImageSource=""/PowerDroid;component/Images/family.png"" />
                        </Button.Background>                    
                    </Button>
                    <Button Grid.Row=""1"" Height=""160"" HorizontalAlignment=""Left"" Margin=""-1,199,0,0"" Name=""m_restroomBtn"" VerticalAlignment=""Top"" Width=""160"" BorderBrush=""{x:Null}"">
                        <Button.Background>
                             <ImageBrush ImageSource=""/PowerDroid;component/Images/restroom.png"" />
                        </Button.Background>                    
                    </Button>
                    <Button Grid.ColumnSpan=""2"" Grid.RowSpan=""2"" Height=""160"" HorizontalAlignment=""Left"" Margin=""150,28,0,0"" Name=""m_medicalBtn"" VerticalAlignment=""Top"" Width=""160"" BorderBrush=""{x:Null}"" >
                        <Button.Background>
                             <ImageBrush ImageSource=""/PowerDroid;component/Images/medical.png"" />
                        </Button.Background>                    
                    </Button>
                    <Button Grid.Column=""1"" Grid.RowSpan=""2"" Height=""160"" HorizontalAlignment=""Left"" Margin=""123,29,0,0"" Name=""m_foodBtn"" VerticalAlignment=""Top"" Width=""160"" BorderBrush=""{x:Null}"" >
                        <Button.Background>
                             <ImageBrush ImageSource=""/PowerDroid;component/Images/diet.png"" />
                        </Button.Background>                    
                    </Button>
                    <Button Grid.ColumnSpan=""2"" Grid.Row=""1"" Height=""160"" HorizontalAlignment=""Left"" Margin=""150,199,0,0"" Name=""m_batheBtn"" VerticalAlignment=""Top"" Width=""160"" BorderBrush=""{x:Null}"" >
                        <Button.Background>
                             <ImageBrush ImageSource=""/PowerDroid;component/Images/bathe.png"" />
                        </Button.Background>                    
                    </Button>
                    <Button Grid.Column=""1"" Grid.Row=""1"" Height=""160"" HorizontalAlignment=""Left"" Margin=""123,198,0,0"" Name=""m_sleepBtn"" VerticalAlignment=""Top"" Width=""160"" BorderBrush=""{x:Null}"" >
                        <Button.Background>
                             <ImageBrush ImageSource=""/PowerDroid;component/Images/sleep.png"" />
                        </Button.Background>                    
                    </Button>                    
                    <TextBlock Grid.Row=""1"" Height=""30"" HorizontalAlignment=""Left"" Margin=""39,146,0,0"" Name=""m_callAsstLbl"" Text=""Call Assistant"" VerticalAlignment=""Top"" />
                    <TextBlock Grid.Column=""1"" Grid.Row=""1"" Height=""30"" HorizontalAlignment=""Left"" Margin=""12,142,0,0"" Name=""m_medicineLbl"" Text=""Medicine"" VerticalAlignment=""Top"" />
                    <TextBlock Grid.Column=""1"" Grid.Row=""1"" Height=""30"" HorizontalAlignment=""Left"" Margin=""159,142,0,0"" Name=""m_foodLbl"" Text=""Food"" VerticalAlignment=""Top"" />
                    <TextBlock Grid.Row=""1"" Height=""30"" HorizontalAlignment=""Left"" Margin=""34,356,0,0"" Name=""m_restroomLbl"" Text=""Restroom"" VerticalAlignment=""Top"" />
                    <TextBlock Grid.Column=""1"" Grid.Row=""1"" Height=""30"" HorizontalAlignment=""Left"" Margin=""6,355,0,0"" Name=""m_batheLbl"" Text=""Bathe"" VerticalAlignment=""Top"" />
                    <TextBlock Grid.Column=""1"" Grid.Row=""1"" Height=""30"" HorizontalAlignment=""Left"" Margin=""157,353,0,0"" Name=""m_sleepLbl"" Text=""Sleep"" VerticalAlignment=""Top"" />
                </Grid>
                <Button BorderBrush=""{x:Null}"" Height=""120"" HorizontalAlignment=""Right"" Margin=""0,0,210,-8"" Name=""m_homeBtn"" VerticalAlignment=""Bottom"" Width=""120"">
                    <Button.Background>
                        <ImageBrush ImageSource=""/PowerDroid;component/Images/home.png"" />
                    </Button.Background>
                </Button>
                <Button BorderBrush=""{x:Null}"" Height=""120"" Margin=""0,495,312,-8"" Name=""m_searchBtn"" Width=""120"">
                    <Button.Background>
                        <ImageBrush ImageSource=""/PowerDroid;component/Images/search.png"" />
                    </Button.Background>
                </Button>
                <Button BorderBrush=""{x:Null}"" Height=""120"" HorizontalAlignment=""Left"" Margin=""330,495,0,-8"" Name=""m_helpBtn"" VerticalAlignment=""Top"" Width=""120"">
                    <Button.Background>
                        <ImageBrush ImageSource=""/PowerDroid;component/Images/help.png"" />
                    </Button.Background>
                </Button>
                <Button BorderBrush=""{x:Null}"" Height=""120"" HorizontalAlignment=""Right"" Margin=""0,495,107,-8"" Name=""m_emergencyBtn2"" Width=""120"">
                    <Button.Background>
                        <ImageBrush ImageSource=""/PowerDroid;component/Images/emergency_v2.png"" />
                    </Button.Background>
                </Button>
            </Grid>";
            Grid g = (Grid)XamlReader.Load(strTemplate);
            //can't set event handlers statically in XAML must do it using this hackish method. 
            foreach (UIElement uie in g.Children)
            {
                if (uie is Button)
                {
                    Button btn = (Button)uie;
                    if (btn.Name.Equals("m_homeBtn"))
                    {
                        btn.Click += m_homeBtn_Click;
                    }
                    else if (btn.Name.Equals("m_helpBtn"))
                    {
                        btn.Click += m_helpBtn_Click;
                    }
                    else if (btn.Name.Equals("m_searchBtn"))
                    {
                        btn.Click += m_searchBtn_Click;
                    }
                    else if (btn.Name.Equals("m_emergencyBtn2"))
                    {
                        btn.Click += m_emergencyBtn_Click;
                    }

                }
                else if (uie is Grid)
                {
                    Grid g2 = (Grid)uie;
                    foreach (UIElement uie2 in g2.Children)
                    {
                        if (uie2 is Button)
                        {
                            Button btn = (Button)uie2;
                            if (btn.Name.Equals("m_callAsstBtn"))
                            {
                                btn.Click += m_callAsstBtn_Click;
                            }
                            else if (btn.Name.Equals("m_restroomBtn"))
                            {
                                //TODO
                            }
                            else if (btn.Name.Equals("m_medicalBtn"))
                            {
                                //TODO
                            }
                            else if (btn.Name.Equals("m_foodBtn"))
                            {
                                //TODO
                            }
                            else if (btn.Name.Equals("m_batheBtn"))
                            {
                                //TODO
                            }
                            else if (btn.Name.Equals("m_sleepBtn"))
                            {
                                //TODO
                            }
                        }
                    }
                }

            }


            return g;
        }

        private void m_homeBtn_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/HomePage.xaml", UriKind.Relative));
        }

        private void m_searchBtn_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/SearchPage.xaml", UriKind.Relative));
        }

        private void m_helpBtn_Click(object sender, RoutedEventArgs e)
        {
            WebBrowserTask wbt = new WebBrowserTask();
            wbt.URL = "http://www.utdallas.edu/~jxg042000/resources/documents/The%20Official%20HOPE%20User%20Manual%20v1.0(first%20draft).docx";
            wbt.Show();
        }

        private void m_callAsstBtn_Click(object sender, RoutedEventArgs e)
        {
            PhoneCallTask call = new PhoneCallTask();
            call.DisplayName = "Tommy Omen (Assistant)";
            call.PhoneNumber = "666-232-3090";
            call.Show();
        }

        private void m_emergencyBtn_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/EmergencyPage.xaml", UriKind.Relative));
        }

        private void m_applyTaskBtn_Click(object sender, RoutedEventArgs e)
        {
            DateTime dt = Convert.ToDateTime(m_enterDateTb.Text);
           // Console.WriteLine("Year: {0}, Month: {1}, Day: {2}", dt.Year, dt.Month, dt.Day);
            m_taskListData.Add(new TaskItemData() { TaskDescription = dt.DayOfWeek + " " + dt.Day + ",\n" +
                                                    m_enterTaskTb.Text });
                                                    /*Event = new System.Windows.RoutedEventHandler( m_emergencyBtn_Click )*/
                                                   // Event = "m_emergencyBtn_Click" });
           // m_taskListData.Add(new TaskItemData() { TaskDescription = "Monday 14th, 8:30 am Appointment with Dr. Phil" });

            

            //apparently have to clear it like this to get it to update...
            m_taskListBox.ItemsSource = null;

            m_taskListBox.ItemsSource = m_taskListData;

            foreach( StackPanel sp in m_taskListBox.Items )
            {
                foreach (Button b in sp.Children)
                {
                    if (b.Name.Equals("m_speakerBtn"))
                    {
                        b.Click += m_emergencyBtn_Click;
                    }
                }
            }

            m_pivoter.SelectedIndex = 1;
        }

        private void m_cancelTaskBtn_Click(object sender, RoutedEventArgs e)
        {
            m_enterTaskTb.Text = "<Enter Task Description>";
            m_enterDateTb.Text = "<Insert Date (MM/DD/YYYY)>";
            m_enterTimeTb.Text = "<Enter Time (8:00pm)>";
            m_pivoter.SelectedIndex = 1;
        }

        private void m_enterDateTb_GotFocus(object sender, RoutedEventArgs e)
        {
            TextBox tb = (TextBox)sender;

            if (tb.Text.Equals("<Insert Date (MM/DD/YYYY)>"))
            {
                tb.Text = "";
            }
        }

        private void m_enterTaskTb_GotFocus(object sender, RoutedEventArgs e)
        {
            TextBox tb = (TextBox)sender;

            if (tb.Text.Equals("<Enter Task Description>"))
            {
                tb.Text = "";
            }
        }

        private void m_enterTimeTb_GotFocus(object sender, RoutedEventArgs e)
        {
            TextBox tb = (TextBox)sender;

            if (tb.Text.Equals("<Enter Time (8:00pm)>"))
            {
                tb.Text = "";
            }
        }

        private void m_newTaskBtn_Click(object sender, RoutedEventArgs e)
        {
           m_pivoter.SelectedIndex = 3;
        }

        public class TaskItemData
        {
            public string TaskDescription
            {
                get;
                set;
            }

            /*public EventHandler Event
            {
                get;
                set;
            }*/

            public string SpeakerName
            {
                get;
                set;
            }

            public Button CloseBtn
            {
                get;
                set;
            }
        }

    }


}