﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace PowerDroid
{
    public partial class DailyActivityNewTask : PhoneApplicationPage
    {

        public DailyActivityNewTask()
        {
            InitializeComponent();
            powerAppBar1.parent = this;
        }

        private void m_cancelBtn_Click(object sender, RoutedEventArgs e)
        {
            (Application.Current as App).TASK_DESC = "";

            NavigationService.GoBack();
        }

        private void m_applyBtn_Click(object sender, RoutedEventArgs e)
        {
            DateTime dt = Convert.ToDateTime(this.m_dateTb.Text);
            (Application.Current as App).TASK_DESC = dt.DayOfWeek + " " + dt.Day + "th " + this.m_timeTb.Text + ", " + m_taskDescTb.Text;
            (Application.Current as App).TASK_DESC_COUNT++;
            NavigationService.GoBack();
        }

        private void m_taskDescTb_GotFocus(object sender, RoutedEventArgs e)
        {
            if (this.m_taskDescTb.Text.Equals( "<Enter Task Description>") )
            {
                this.m_taskDescTb.Text = "";
            }
        }

        private void m_timeTb_GotFocus(object sender, RoutedEventArgs e)
        {
            if (this.m_timeTb.Text.Equals("<Enter Time>"))
            {
                this.m_timeTb.Text = "";
            }
        }

        private void m_dateTb_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (this.m_dateTb.Text.Equals("<Enter Date>"))
            {
                this.m_dateTb.Text = "";
            }
        }
    }
}